juzu.io

## Class AppendableStream

- java.lang.Object
- - juzu.io.CharStream
  - - juzu.io.AppendableStream

- All Implemented Interfaces:
    Closeable, Flushable, Appendable, AutoCloseable, Stream

      public class AppendableStream
      extends CharStream

  Author:
    Julien Viet

- - ### Field Summary

    - ### Fields inherited from interface juzu.io.Stream

      `BUFFER_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppendableStream(Charset charset, Appendable out)`
    `AppendableStream(Charset charset, Appendable out, Flushable flushable, Closeable closeable)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Stream` | `append(char c)`
    `Stream` | `append(CharSequence csq)`
    `Stream` | `append(CharSequence csq, int start, int end)`
    `void` | `close()`
    `void` | `flush()`

    - ### Methods inherited from class juzu.io.CharStream

      `append, append, append, append`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AppendableStream

          public AppendableStream(Charset charset,
                          Appendable out)

    - #### AppendableStream

          public AppendableStream(Charset charset,
                          Appendable out,
                          Flushable flushable,
                          Closeable closeable)

  - ### Method Detail

    - #### append

          public Stream append(CharSequence csq)
                        throws IOException

      Specified by:
        `append` in interface `Appendable`
      Specified by:
        `append` in interface `Stream`
      Specified by:
        `append` in class `CharStream`
      Throws:
        `IOException`

    - #### append

          public Stream append(CharSequence csq,
                      int start,
                      int end)
                        throws IOException

      Specified by:
        `append` in interface `Appendable`
      Specified by:
        `append` in interface `Stream`
      Specified by:
        `append` in class `CharStream`
      Throws:
        `IOException`

    - #### append

          public Stream append(char c)
                        throws IOException

      Specified by:
        `append` in interface `Appendable`
      Specified by:
        `append` in interface `Stream`
      Specified by:
        `append` in class `CharStream`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Throws:
        `IOException`

    - #### flush

          public void flush()
                     throws IOException

      Throws:
        `IOException`

Copyright © 2013 eXo Platform SAS. All Rights Reserved.